## pyzo 4.12.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyzo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyzo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyzo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyzo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pyzo 4.1

=== debian/changelog ===
pyzo (4.1-3) unstable; urgency=medium

  * Use registered entry point instead of launcher script.
  * Handle transitional update from IEP to Pyzo.
  * Build and distribute the manpages.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 27 May 2016 19:11:19 +0100

pyzo (4.1-2) unstable; urgency=medium

  * Use system famfamfam-silk icons.
  * d/copyright: list famfamfam-silk icons explicitly.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 08 May 2016 16:41:53 +0100

pyzo (4.1-1) unstable; urgency=low

  * Initial release. (Closes: #822226)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 22 Apr 2016 09:48:21 +0100

=== debian/control ===
Source: pyzo
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyzo.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyzo.git
Homepage: http://www.pyzo.org/
X-Python3-Version: >= 3.2

Package: pyzo
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         famfamfam-silk,
         fonts-dejavu,
         python3-pyqt4 | python3-pyside,
         python3-pyzolib
Suggests: pyzo-doc
Description: interactive editor for scientific Python
 Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
 which makes it very suitable for scientific computing. Its practical design is
 aimed at simplicity and efficiency.
 .
 It consists of two main components, the editor and the shell, and uses a set of
 pluggable tools to help the programmer in various ways. Some example tools are
 source structure, project manager, interactive help, workspace...
 .
 Pyzo is written in (pure) Python 3 and uses the Qt GUI toolkit. Binaries are
 provided for all major operating system. After installing Pyzo, it can be used
 to execute code on any Python version available on your system (Python 2.4 -
 3.x, including Pypy).
 .
 This package provides the Pyzo IDE.

Package: pyzo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for Pyzo
 Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
 which makes it very suitable for scientific computing. Its practical design is
 aimed at simplicity and efficiency.
 .
 It consists of two main components, the editor and the shell, and uses a set of
 pluggable tools to help the programmer in various ways. Some example tools are
 source structure, project manager, interactive help, workspace...
 .
 Pyzo is written in (pure) Python 3 and uses the Qt GUI toolkit. Binaries are
 provided for all major operating system. After installing Pyzo, it can be used
 to execute code on any Python version available on your system (Python 2.4 -
 3.x, including Pypy).
 .
 This package provides the documentation for the Pyzo IDE.

Package: iep
Architecture: all
Section: oldlibs
Priority: extra
Depends: pyzo,
         ${misc:Depends}
Description: transitional dummy package for IEP
 Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
 which makes it very suitable for scientific computing. Its practical design is
 aimed at simplicity and efficiency.
 .
 It consists of two main components, the editor and the shell, and uses a set of
 pluggable tools to help the programmer in various ways. Some example tools are
 source structure, project manager, interactive help, workspace...
 .
 Pyzo is written in (pure) Python 3 and uses the Qt GUI toolkit. Binaries are
 provided for all major operating system. After installing Pyzo, it can be used
 to execute code on any Python version available on your system (Python 2.4 -
 3.x, including Pypy).
 .
 This is a transitional dummy package enabling the upgrade from IEP to Pyzo.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyzo
export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/pyzo \
	{destdir}/usr/share/pyzo/run

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b man doc build/man

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.md

## pyzo 4.3.1

=== debian/changelog ===
pyzo (4.3.1-1+deb9u1) stretch; urgency=medium

  [ Andreas Beckmann]
  * Non-maintainer upload.
  * Backport dependency fix from 4.4.3-1.2.

  [ Adrian Bunk ]
  * Add the missing dependency on python3-pkg-resources,
    thanks to Julien Cervelle. (Closes: #917085)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 12:43:46 +0100

pyzo (4.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 29 Sep 2016 10:19:49 +0100

pyzo (4.3-1) unstable; urgency=medium

  * New upstream release.
  * Change install dependencies for pyzo.
    - Remove dependency on pyzolib, now merged into pyzo.
    - Add transitive dependency on Qt via QtPy.
  * Sort install dependencies of iep.
  * Update copyright.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 28 Sep 2016 16:49:54 +0100

pyzo (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-linktree for fonts and icons symlinks.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 01 Jul 2016 11:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-linktree,
                dh-python,
+               famfamfam-silk,
+               fonts-dejavu,
                python3,
                python3-setuptools,
                python3-sphinx
@@ -18,10 +21,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         famfamfam-silk,
-         fonts-dejavu,
-         python3-pyqt4 | python3-pyside,
-         python3-pyzolib
+         python3-qtpy,
+         python3-pkg-resources
 Suggests: pyzo-doc
 Description: interactive editor for scientific Python
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
@@ -64,8 +65,8 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: pyzo,
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         pyzo
 Description: transitional dummy package for IEP
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
  which makes it very suitable for scientific computing. Its practical design is

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	{destdir}/usr/share/pyzo/run
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc,linktree --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyzo-$1\.tar\.gz/ \
https://github.com/pyzo/pyzo/tags .*/v?(\d\S*)\.tar\.gz

## pyzo 4.4.1

=== debian/changelog ===
pyzo (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Update copyright information
  * Build the docs using the upstream Makefile

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 14 Jul 2017 16:55:52 +0100

pyzo (4.4.0-1) unstable; urgency=medium

  * Source tarballs from PyPI
  * Update the gbp configuration
  * New upstream version 4.4.0
  * Refresh the patch queue
  * Filter the egg-info directory using extend-diff-ignore
  * Add missing Built-Using metadata
  * Mark pyzo-doc multiarch foreign
  * Clean artefacts generated by the docs
  * Normalize the dh_auto_build override
  * Bump standards version to 4.0.0, no changes required
  * Bump debhelper version to 10, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 11 Jul 2017 16:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-linktree,
                dh-python,
                famfamfam-silk,
@@ -11,7 +11,7 @@
                python3,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyzo.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyzo.git
 Homepage: http://www.pyzo.org/
@@ -21,8 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-qtpy,
-         python3-pkg-resources
+         python3-qtpy
 Suggests: pyzo-doc
 Description: interactive editor for scientific Python
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
@@ -42,9 +41,11 @@
 
 Package: pyzo-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for Pyzo
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
  which makes it very suitable for scientific computing. Its practical design is

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,16 @@
 %:
 	dh $@ --with python3,sphinxdoc,linktree --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
+	$(MAKE) -C doc clean
+
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' \
-		sphinx-build -N -b html doc build/html
-	PYTHONPATH=. http_proxy='127.0.0.1:9' \
-		sphinx-build -N -b man doc build/man
+	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
+	PYTHONPATH=$(CURDIR) $(MAKE) -C doc man
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md

## pyzo 4.4.3

=== debian/changelog ===
pyzo (4.4.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python3-pkg-resources,
    thanks to Julien Cervelle. (Closes: #917085)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Jan 2019 20:09:52 +0200

pyzo (4.4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add upstream patch to fix installation with Python 3.7.
    (Closes: #914332)

 -- Adrian Bunk <bunk@debian.org>  Fri, 30 Nov 2018 17:17:18 +0200

pyzo (4.4.3-1) unstable; urgency=medium

  * Add recommended get-orig-source target
  * New upstream version 4.4.3
  * Move iep package to oldlibs/optional
  * Bump the standards version to 4.1.1
  * Install AppStream metadata to metainfo dir

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 09 Oct 2017 19:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyzo.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyzo.git
 Homepage: http://www.pyzo.org/
@@ -21,7 +21,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-qtpy
+         python3-qtpy,
+         python3-pkg-resources
 Suggests: pyzo-doc
 Description: interactive editor for scientific Python
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
@@ -65,7 +66,6 @@
 Package: iep
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends},
          pyzo
 Description: transitional dummy package for IEP

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md
+
+get-orig-source:
+	uscan --download-current-version --force-download --no-symlink

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyzo/pyzo@ANY_VERSION@@ARCHIVE_EXT@

## pyzo 4.11.2

=== debian/changelog ===
pyzo (4.11.2-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Bump std-version to 4.5.1

  [ Alexis Bienvenüe ]
  * Add R^3: no
  * Update uscan watch file to match github repository.
  * New upstream version 4.11.2. Closes: #980935.
  * Remove patch 0001 that has been integrated upstream.
  * Remove unnecessary python version field from control file.
  * Update VCS fields to salsa repository.
  * Update patch to new upstream version.
  * Update copyright for appdata file.
  * Remove unnecessary get-orig-source target in rules file.
  * Drop transitionnal package iep. Closes: #940772.
  * Switch to debhelper compat level 13.
  * Documentation files directory update.
  * Add start.html missing source.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 12 Feb 2021 08:02:49 +0100

pyzo (4.4.3-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix crash with python3.9 (Closes: #980935)

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 24 Jan 2021 15:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-linktree,
                dh-python,
                famfamfam-silk,
@@ -11,11 +11,11 @@
                python3,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyzo.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pyzo.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/pyzo
+Vcs-Git: https://salsa.debian.org/science-team/pyzo.git
 Homepage: http://www.pyzo.org/
-X-Python3-Version: >= 3.2
 
 Package: pyzo
 Architecture: all
@@ -63,24 +63,3 @@
  .
  This package provides the documentation for the Pyzo IDE.
 
-Package: iep
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         pyzo
-Description: transitional dummy package for IEP
- Pyzo is a cross-platform Python IDE focused on interactivity and introspection,
- which makes it very suitable for scientific computing. Its practical design is
- aimed at simplicity and efficiency.
- .
- It consists of two main components, the editor and the shell, and uses a set of
- pluggable tools to help the programmer in various ways. Some example tools are
- source structure, project manager, interactive help, workspace...
- .
- Pyzo is written in (pure) Python 3 and uses the Qt GUI toolkit. Binaries are
- provided for all major operating system. After installing Pyzo, it can be used
- to execute code on any Python version available on your system (Python 2.4 -
- 3.x, including Pypy).
- .
- This is a transitional dummy package enabling the upgrade from IEP to Pyzo.
- It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_DISABLE=test
-export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyzo
+export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyzo --install-data=/usr/share/doc/pyzo
 export PYBUILD_AFTER_INSTALL=mv {destdir}/usr/bin/pyzo \
 	{destdir}/usr/share/pyzo/run
 
@@ -24,6 +24,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink

## pyzo 4.12.3

=== debian/changelog ===
pyzo (4.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1023940).
  * Bump Standards-Version to 4.6.1.
  * Drop NEWS.Debian.gz - it's obsolete.
  * Add a patch fixing some typos.
  * Add a patch fixing the last python shebangs.
  * Drop the extra license file.
  * Drop obsolete debian/copyright entries.
  * Drop use of dh-linktree.
  * Add some lintian overrides to hide false issues.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 13 Nov 2022 00:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-linktree,
                dh-python,
                famfamfam-silk,
                fonts-dejavu,
                python3,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/pyzo
 Vcs-Git: https://salsa.debian.org/science-team/pyzo.git
@@ -21,6 +20,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         famfamfam-silk,
+         fonts-dejavu,
          python3-qtpy,
          python3-pkg-resources
 Suggests: pyzo-doc

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	{destdir}/usr/share/pyzo/run
 
 %:
-	dh $@ --with python3,sphinxdoc,linktree --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -22,5 +22,11 @@
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc man
 
+override_dh_auto_install:
+	dh_auto_install
+	find debian/tmp -name LICENSE.md -delete
+	find debian/tmp -name README.md -delete
+	find debian/tmp -name notes_on_translating.txt -delete
+
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md

## pyzo 4.15.0

=== debian/changelog ===
pyzo (4.15.0-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083735)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Feb 2025 02:00:14 +0100

pyzo (4.15.0-2) unstable; urgency=medium

  * Team upload.
  * Explicitly depend on pyside6 packages (Closes: #1089968).
  * Run pyzo via a script that ensures PySide6 API is used.

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Jan 2025 13:01:45 +1100

pyzo (4.15.0-1) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.7.0
  * New upstream release.
  * Refresh or drop patches
  * Drop superfluous file pattern in debian/copyright

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 16:51:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/pyzo
 Vcs-Git: https://salsa.debian.org/science-team/pyzo.git
@@ -23,7 +23,11 @@
          famfamfam-silk,
          fonts-dejavu,
          python3-qtpy,
-         python3-pkg-resources
+         python3-pyside6.qtcore,
+         python3-pyside6.qtgui,
+         python3-pyside6.qthelp,
+         python3-pyside6.qtprintsupport,
+         python3-pyside6.qtwidgets,
 Suggests: pyzo-doc
 Description: interactive editor for scientific Python
  Pyzo is a cross-platform Python IDE focused on interactivity and introspection,

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 	{destdir}/usr/share/pyzo/run
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C doc clean
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
@@ -22,8 +21,7 @@
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc man
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian/tmp -name LICENSE.md -delete
 	find debian/tmp -name README.md -delete
 	find debian/tmp -name notes_on_translating.txt -delete

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyzo-$1\.tar\.gz/ \
  https://github.com/pyzo/pyzo/tags .*/v?(\d\S+)\.tar\.gz
